﻿/**
DLLインターフェイス。
*/
module dllinterface;


/**
DLL情報。

DllToolInfosを介して使用。

----------------------------------------
void DllToolInfos(ref DLLINFOS);
----------------------------------------
*/
struct DLLINFOS {
	string ToolName;      /// 名前。
	string ToolVer;       /// バージョン。
	string VendorName;    /// 作成者名。
	string VendorSite;    /// 作成者のWebサイト。
	string VendorMail;    /// 作成者のE-mailアドレス。
	string VendorComment; /// 作成者のコメント。
	string LicenseName;   /// ライセンス名。
	string LicenseBody;   /// ライセンス内容。
}

export void DllToolInfos(ref DLLINFOS DllInfos) {
	with(DllInfos) {
		ToolName      = "Hooker";
		ToolVer       = "1.010";
		VendorName    = "烏呼者";
		VendorSite    = "http://www.usamimi.info/~wokonomono/";
		VendorMail    = "wokonomono@gmail.com";
		VendorComment = "でかい…";
		LicenseName   = "NYSL";
		LicenseBody   = "http://www.kmonos.net/nysl/";
	}
}


